
## Khaliq03 model driver for Octave

Khaliq03_defs = "Khaliq03.m";

autoload ("Khaliq03", Khaliq03_defs );
autoload ("Khaliq03_init", Khaliq03_defs );

Khaliq03_init; 

y0 = Khaliq03_init(-65)

t0 = 0.0;
t1 = 2000.0;
dt = 1e-3;

reltol=1e-2;
abstol=1e-3;

lsode_options("absolute tolerance", abstol);
lsode_options("relative tolerance", reltol);
lsode_options("integration method", "bdf");

t = linspace(t0,t1,(t1-t0)/dt)';
sol = lsode (@Khaliq03, y0, t);
ys = [t sol];

N = size(ys)(1);
Khaliq03_v = [ys(:,1) ys(:,2)];
save -ascii "v.dat" Khaliq03_v;

